%define name                    sblim-cim-client2
%define project_folder			%{name}-%{version}-src
%define archive_folder			build
%define version                 2.1.4
%define release                 1jpp
%define section                 free

# -----------------------------------------------------------------------------

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
License:        Eclipse Public License
Url:            http://sblim.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         IBM
Distribution:   JPackage
Summary:        Java CIM Client library

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
SOURCE:         %{name}-%{version}-src.tar.bz2

BuildArch:      noarch

BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.6

Requires:       jpackage-utils >= 0:1.5.32

%description
The purpose of this package is to provide a CIM Client Class Library for Java
applications. It complies to the DMTF standard CIM Operations over HTTP and 
intends to be compatible with JCP JSR48 once it becomes available. To learn
more about DMTF visit http://www.dmtf.org.
More infos about the Java Community Process and JSR48 can be found at
http://www.jcp.org and http://www.jcp.org/en/jsr/detail?id=48.

# -----------------------------------------------------------------------------

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

# -----------------------------------------------------------------------------

%package manual
Summary:        Manual and sample code for %{name}
Group:          Development/Documentation

%description manual
Manual and sample code for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{project_folder}

dos2unixConversion() {
	fileName=$1
	%{__sed} -i 's/\r//g' "$fileName"
}

dosFiles2unix() {
	fileList=$1
	for fileName in $fileList; do
		dos2unixConversion $fileName
	done
}

dosFiles2unix 'COPYING sblim-cim-client2.properties sblim-slp-client2.properties'

# -----------------------------------------------------------------------------

%build
# export CLASSPATH=$(build-classpath)
export ANT_OPTS="-Xmx256m"
ant \
        -Dbuild.compiler=modern \
        -DManifest.version=%{version}\
        package java-doc

# -----------------------------------------------------------------------------

%install
RPM_BUILD_ROOT=`echo "$RPM_BUILD_ROOT" | sed -r 's/\/+$//'`
if [ -z $RPM_BUILD_ROOT ]; then
	echo "RPM_BUILD_ROOT must be set."
fi

dirs='/ /bin /dev /home /mnt /sbin /srv /var /boot /etc /lib /media /opt /root /selinux /usr'
for dir in $dirs; do
	if [ "$RPM_BUILD_ROOT" = "$dir" ]; then
		echo "$dir for RPM_BUILD_ROOT is evil!"
		exit 1
	fi
done

rm -rf $RPM_BUILD_ROOT

# --- documentation ---
dstDocDir=$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -d $dstDocDir
install --mode=644 ChangeLog COPYING README NEWS $dstDocDir

# --- samples (also into _docdir) ---
cp -pr  smpl/org $dstDocDir

# --- config files ---
confDir=$RPM_BUILD_ROOT%{_sysconfdir}/java
install -d $confDir
install --mode=664 sblim-cim-client2.properties sblim-slp-client2.properties $confDir

# --- jar ---
install -d $RPM_BUILD_ROOT%{_javadir}
install %{archive_folder}/lib/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(
  cd $RPM_BUILD_ROOT%{_javadir} && 
    ln -sf %{name}-%{version}.jar %{name}.jar;
)

# --- javadoc ---
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr %{archive_folder}/doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}



# -----------------------------------------------------------------------------

%files
# %defattr(0644,root,root,0755)
%defattr(0644,root,root)
%config %{_sysconfdir}/java/sblim-cim-client2.properties
%config %{_sysconfdir}/java/sblim-slp-client2.properties
%doc %{_docdir}/%{name}-%{version}/COPYING
%doc %{_docdir}/%{name}-%{version}/README
%doc %{_docdir}/%{name}-%{version}/ChangeLog
%doc %{_docdir}/%{name}-%{version}/NEWS
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar


%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}


%files manual
%defattr(0644,root,root,0755)
# %doc %{_docdir}/%{name}-%{version}/README.samples
%doc %{_docdir}/%{name}-%{version}/COPYING
%doc %{_docdir}/%{name}-%{version}/org


# -----------------------------------------------------------------------------

%changelog
* Mon Mar 15 2010 Dave Blaschke <blaschke@us.ibm.com>
- New release 2.1.4
  o 2970881 Add property to control EmbeddedObject case
  o 2942520 IPv6 link local address with scope_id including a dot not supported
  o 2964463 WBEMClient.initialize() throws wrong exception
  o 2963502 Add XML tracing to sample code
  o 2957387 EmbededObject XML attribute must not be all uppercases
  o 2956716 Jsr48IndicationSample hardcoded namespace
  o 2961592 Remove WBEMClient.setLocales() UnsupportedOperationException
  o 2959586 Sync up WBEMClient javadoc with JSR48 1.0.0
  o 2959264 Sync up javax.client.* javadoc with JSR48 1.0.0
  o 2959240 Sync up javax.listener.* javadoc with JSR48 1.0.0
  o 2959235 Update build.xml copyright year
  o 2959039 Fix WBEMException.toString() logic
  o 2958990 Remove WBEMException.CIM_ERR_TYPE_MISMATCH
  o 2958941 Sync up javax.wbem.* javadoc with JSR48 1.0.0
  o 2913938 Duplicate CIM requests with identical message ID
  o 2946113 First steps code snippet has compile errors
  o 2944830 Fix spelling of checkGranurality()
  o 2944842 Missing thrown ArrayIndexOutOfBoundsException
  o 2944839 Remove redundant toString() methods
  o 2944833 Need private setValue in UnsignedInteger8
  o 2944826 getUTCOffset() incorrect if not significant field
  o 2944824 Missing getXmlSchemaName() in CIMObjectPath
  o 2944219 Problem with pull operations using client against EMC CIMOM
  o 2935258 Sync up javax.cim.* javadoc with JSR48 1.0.0
  o 2930341 Sync up WBEMClientConstants with JSR48 1.0.0
  o 2927029 Unit test fails on Java 6
  o 2909941 RequestStateChange gives wrong exception/error id
  o 2912490 NullPointerException when invoking getInstance

* Tue Dec 15 2009 Dave Blaschke <blaschke@us.ibm.com>
- New release 2.1.3
  o 2912104 Sync up javax.wbem.* with JSR48 1.0.0
  o 2907527 Fix SLP properties issues
  o 2901216 lost IndicationURL for IndcationListener.indicationOccured
  o 2903373 Java doc incorrect
  o 2900875 Javadoc should link to external Java5 Objects / APIs
  o 2886829 JSR48 new APIs: referenceClasses & referenceInstances
  o 2899859 javax.wbem.client missing JSR48 credential/principal APIs
  o 2899389 Password maximum length of 16?
  o 2888774 support POST retry on HTTP error 505
  o 2878054 Pull Enumeration Feature (PULL Parser)
  o 2884718 Merge JSR48 and SBLIM client properties
  o 2882448 Add WBEMClientConstants from JSR48
  o 2858933 JSR48 new APIs: associatorClasses & associatorInstances
  o 2870455 Missing CLASS_ARRAY_T in CIMDataType
  o 2839595 SLP discovery fails on Unix IPv6 systems
  o 2865222 enumerateQualifierTypes shouldn't require a class name
  o 2845128 CIMObjectPath.toString() misses host
  o 2846231 connection failure on CIMOM w/o user/pw
  o 2860081 Pull Enumeration Feature (DOM Parser)

* Tue Sep 15 2009 Dave Blaschke <blaschke@us.ibm.com>
- New release 2.1.2
  o 2849970 createVALUEARRAY fails to create reference array
  o 2845211 Pulled Enumeration Support (SAX Parser)
  o 2834838 Add interface to retrieve version number and product name
  o 2817962 socket creation connects w/o a timeout
  o 2823494 Change Boolean constructor to static

* Mon Jun 15 2009 Dave Blaschke <blaschke@us.ibm.com>
- New release 2.1.1
  o 2806362 Missing new CIMDateTimeAbsolute.getUTCOffset() method
  o 2797550 Make code compatible with JSR48 / Java Generics 
  o 2797696 Input files use unchecked or unsafe operations 
  o 2795671 Add Type to Comparable <T> 
  o 2799260 Fix left over @author tag from Java5 upgrade 
  o 2798931 Fix spelling of WBEMListenerFactory.getPROTOCOLS()
  o 2791860 Export instance to mof, wrong syntax
  o 2787464 lang exception in Chinese env with Java client 2.0.7
  o 2784078 Code cleanup: messages_XX.properties
  o 2763216 Code cleanup: visible spelling/grammar errors
  o 2750520 Code cleanup from empty statement et al
  o 2714989 Code cleanup from redundant null check et al

* Thu Mar 12 2009 Dave Blaschke <blaschke@us.ibm.com>
- New release 2.1.0
  o 2680372 Eliminate duplicate entries in javadoc allclasses-frame.html
  o 2641758 CIM Client does not recognize HTTP extension headers
  o 2620505 EmbeddedObject qualifier is missing from CIMClass
  o 2433593 isArray returns true for method parameters of type reference
  o 2531371 Upgrade client to JDK 1.5 (Phase 2)
  o 2573575 Fix build.xml to allow file names >100 chars
  o 2524131 Upgrade client to JDK 1.5 (Phase 1)

* Fri Dec 12 2008 Dave Blaschke <blaschke@us.ibm.com>
- New release 2.0.9
  o 2414503 SLPConfig : parseList not returning populated list
  o 2412389 Test case failure: Java5 Complier : CIMDateTimeAbsoluteTest
  o 2382763 HTTP header field Accept-Language does not include *
  o 2372030 Add property to control synchronized SSL handshaking
  o 2315151 Jsr48IndicationSample does not work 
  o 2227442 Add missing serialVersionUID
  o 2210455 Enhance javadoc, fix potential null pointers
  o 2204488 Fix / clean code to remove compiler warnings

* Fri Sep 12 2008 Dave Blaschke <blaschke@us.ibm.com>
- New release 2.0.8
  o 2093708 HTTP 400 - Bad Request, CIMError: request-not-valid
  o 2087969 VALUE.ARRAY used in request for array of references
  o 2087975 can't set the pPropagated in WBEMClient.enumerateClasses()
  o 2038305 SAXException SBLIM Java Client V2.0.7
  o 2034342 HttpClient not closed on cimclient close
  o 2013628 SAXException when listing classes
  o 2002599 M-POST not supported in java-client

* Mon Jun 30 2008 Dave Blaschke <blaschke@us.ibm.com>
- New release 2.0.7
  o 2003590 Change licensing from CPL to EPL
  o 1963102 NullPointerException when getting qualifiers
  
* Thu Jun 12 2008 Dave Blaschke <blaschke@us.ibm.com>
- New release 2.0.6
  o 1992337 2.0.6 packaging issues
  o 1944875 Indications with embedded objects are not accepted
  o 1917321 CIMObjectPath("CIM_Memory","/root/ibmsd") broken
  o 1963762 connection leak in WBEMClientCIMXML
  o 1949000 setLocales() is empty
  o 1950819 SLP error: "java.io.IOException" on Linux and IPv6
  o 1949918 malformed service URL crashes SLP discovery
  o 1931621 CIMDateTimeAbsolute(Calendar) does not respect DST
  o 1931216 In HTTPClient need to get status before closing connection
  o 1917309 "/root:__NAMESPACE" not valid CIMObjectPath

* Wed Mar 12 2008 Dave Blaschke <blaschke@us.ibm.com>
- New release 2.0.5
  o 1911400 Source RPM file on SourceForge is broken
  
* Tue Feb 26 2008 Alexander Wolf-Reber <a.wolf-reber@de.ibm.com>
- New release 2.0.4
  o 1892046 Basic/digest authentication problem for Japanese users
  o 1849235 DTStringWriter.writeSigned parameter pDigits is not used
  o 1855726 CIMInstance.deriveInstance is setting wrong CIMObjectPath
  o 1892103 SLP improvements
  o 1804402 IPv6 ready SLP
  o 1832635 less strict parsing for IPv6 hostnames
  o 1848607 Strict EmbeddedObject types
  o 1827728 embeddedInstances: attribute EmbeddedObject not set
  o 1820763 Supporting the EmbeddedInstance qualifier
  o 1815707 TLS support
  o 1796339 Serializable interface missing from internal componentry
  o 1783288 CIMClass.isAssociation() not working for retrieved classes.
  o 1776114 Cannot derive instance of class CIM_IndicationSubscription
  o 1741654 Header mismatch error on ModifyInstance
  o 1769504   Type identification for VALUETYPE="numeric"

* Fri Aug 17 2007 Alexander Wolf-Reber <a.wolf-reber@de.ibm.com>
- New release 2.0.3
  o 1745282 Uniform time stamps for log files
  o 1742873 IPv6 ready cim-client
  o 1729361 Multicast discovery is broken in DiscovererSLP
  o 1737141 Sync up with JSR48 evolution
  o 1737123 Differences to JSR48 public review draft
  o 1736318 Wrong object path in HTTP header
  o 1735693 Empty VALUE.ARRAY elements are parsed as nulls
  o 1735614 Wrong ARRAYSIZE attribute handling in SAX/PULL
  o 1734936 DiscovererSLPTest fails in some environments
  o 1734888 Wrong reference building in METHODCALL request
  o 1723607 IPv6 support in WBEM-URI strings

* Fri May 25 2007 Alexander Wolf-Reber <a.wolf-reber@de.ibm.com>
- New release 2.0.2
  o 1720707 Conventional Node factory for CIM-XML SAX parser
  o 1719991 FVT: regression ClassCastException in EmbObjHandler
  o 1712656 Correct type identification for SVC CIMOM
  o 1715612 FVT: Status 0 in trailer is parsed as error
  o 1715511 FVT: Wrong HTTP header values
  o 1715027 FVT: Make message id random
  o 1714902 FVT: Threading related weak spots
  o 1714853 FVT: Inexplicit error when operation is invoked on closed client
  o 1714878 FVT: Empty string property values are parsed as nulls
  o 1715053 FVT: No forced retry on HTTP 501/510
  o 1714184 FVT: NPE on WBEMClientCIMXML.init()
  o 1711092 Some fixes/additions of log&trace messages
  o 1710066 LocalAuth fails for z/OS Pegasus
  o 1669961 CIMTypedElement.getType() =>getDataType()
  o 1669225 Ctor CIMDataType(int) shall be private
  o 1689085 Embedded object enhancements for Pegasus
  o 1678915 Integrated WBEM service discovery via SLP
  o 1698278 Unit tests fail on Hungarian locale
  o 1678807 Minor CIMDateTime suggestions
  o 1686977 Change package structure
  o 1679620 Ant build fails with javadoc error
  o 1679534 wrong ValueObjectNode.testChild()
  o 1660756 Embedded object support
  o 1671502 Remove dependency from Xerces
  o 1663270 Minor performance problems
  o 1660743 SSLContext is static
  o 1660575 Chunking broken on SUN JRE
  o 1656285 IndicationHandler does not accept non-Integer message ID

* Tue Feb 13 2007 Alexander Wolf-Reber <a.wolf-reber@de.ibm.com>
- New release 2.0.1
  o 1565892 Make SBLIM client JSR48 compliant

* Mon Feb 12 2007 Wolfgang Taphorn <taphorn@de.ibm.com>
- Initial Version
